Last Comment Bug 398404 - [FIX]Disallow reflow while processing constructors
: [FIX]Disallow reflow while processing constructors
Status: RESOLVED FIXED
restore pre-267833 status quo to prev...
: dev-doc-complete, fixed1.8.1.8
Product: Core
Classification: Components
Component: XBL (show other bugs)
: 1.8 Branch
: x86 Linux
: -- normal (vote)
: ---
Assigned To: Boris Zbarsky [:bz]
:
Mentors:
Depends on:
Blocks: 267833 375390
  Show dependency treegraph
 
Reported: 2007-10-03 07:36 PDT by Boris Zbarsky [:bz]
Modified: 2007-10-15 18:44 PDT (History)
7 users (show)
dveditz: blocking1.8.1.8+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Fix (branch only) (5.39 KB, patch)
2007-10-03 12:18 PDT, Boris Zbarsky [:bz]
dbaron: review+
dbaron: superreview+
dveditz: approval1.8.1.8+
Details | Diff | Review

Description Boris Zbarsky [:bz] 2007-10-03 07:36:46 PDT
See bug 375390 comment 24.

I'll try to get a patch together today.
Comment 1 Daniel Veditz [:dveditz] 2007-10-03 10:31:48 PDT
If you only have time for one I'd prefer a branch patch for bug 387544
Comment 2 Boris Zbarsky [:bz] 2007-10-03 11:36:55 PDT
To be honest, that one is a _lot_ more work and needs pretty extensive testing for any patch we come up with.  See bug 387544 comment 1.  It shouldn't be going in this close to the end of a branch cycle.  :(
Comment 3 Boris Zbarsky [:bz] 2007-10-03 12:18:11 PDT
Created attachment 283411 [details] [diff] [review]
Fix (branch only)
Comment 4 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2007-10-03 13:14:28 PDT
Comment on attachment 283411 [details] [diff] [review]
Fix (branch only)

r+sr=dbaron
Comment 5 Boris Zbarsky [:bz] 2007-10-03 14:28:54 PDT
Comment on attachment 283411 [details] [diff] [review]
Fix (branch only)

Requesting branch approval.  I think this should be pretty safe in the sense that it restores the status quo before bug 267833 was checked in.
Comment 6 Daniel Veditz [:dveditz] 2007-10-03 17:02:19 PDT
Comment on attachment 283411 [details] [diff] [review]
Fix (branch only)

approved for 1.8.1.8, a=dveditz for release-drivers
Comment 7 Boris Zbarsky [:bz] 2007-10-03 19:38:13 PDT
Checked in on branch.
Comment 8 Boris Zbarsky [:bz] 2007-10-04 08:22:01 PDT
We should document the change from branch to trunk here: on trunk, trying to get layout information in an XBL constructor will actually get up-to-date information, triggering restyles and reflow as needed.  On branch you don't get that.
Comment 9 Eric Shepherd [:sheppy] 2007-10-15 15:45:44 PDT
This is now documented.  See:

http://developer.mozilla.org/en/docs/XBL:XBL_1.0_Reference:Elements#constructor

Marking as doc completed.

Is this going into some build of Firefox 2?  I ask because of the approval for 1.8.1.8.  If so, which Firefox version does it apply to?
Comment 10 Boris Zbarsky [:bz] 2007-10-15 18:44:31 PDT
> Is this going into some build of Firefox 2?

The patch that went into the branch was to restore the old branch behavior (not allowing reflow inside a constructor).  So there's no need for branch documentation changes here.

Note You need to log in before you can comment on or make changes to this bug.